Get user phone
GET https://wallet.paysera.com/rest/v1/user/{userId}/phone
Get specific user's phone number
Required Scopes​
- PHONE
Authorization​
This endpoint requires MAC (Message Authentication Code) authentication.
Authorization Header Format:
Authorization: MAC id="CLIENT_ID", ts="TIMESTAMP", nonce="RANDOM_STRING", mac="MAC_HASH", ext="body_hash=BODY_HASH"
Example:
Authorization: MAC id="a9b8c7d6e5f4g3h2", ts="1234567890", nonce="xyz123abc456def", mac="dGhpcyBpcyBhIHJhbmRvbSBtYWMgaGFzaCB2YWx1ZQ==", ext="body_hash=cmFuZG9tQm9keUhhc2hWYWx1ZQ%3D%3D"
For more details, see the Authentication section.
Parameters​
Path Parameters​
| Name | Type | Required | Description |
|---|---|---|---|
userId | string | ✓ | User identifier |
Example​
Request​
GET https://wallet.paysera.com/rest/v1/user/{userId}/phone
Authorization: MAC id="CLIENT_ID", ts="TIMESTAMP", nonce="RANDOM_STRING", mac="MAC_HASH"
Response​
"370612312345"
AUTHORIZATION: HTTP
REQUEST
Base URL
https://wallet.paysera.com
RESPONSE
Phone retrieved
"370612312345"